package com.cico.nest.lcdp.boot.core.qxsd.domain.event;

/**
 * @author zws
 * @date 2024/8/15
 */
public enum EventType {

    hasten(0, "急加速"),
    deceleration(1, "急减速"),
    implement_lane_changes(2, "实线变道"),
    serpentine_driving(3,"蛇形驾驶"),
    retrograde(4,"逆行"),
    congestion(5,"拥堵"),
    suspicious_events(6,"可疑事件"),
    rear_end_chase(7,"追尾"),
    parking(8,"停车"),
    other(100,"其他");

    public final int type;

    public final String desc;



    EventType(Integer type, String desc){
        this.desc = desc;
        this.type = type;
    }

    public static EventType findByType(Integer type) {
        for (EventType eventType : EventType.values()) {
            if (eventType.type == type) {
                return eventType;
            }
        }
        return other;
    }

}
